> For the complete documentation index, see [llms.txt](https://docs.facephi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facephi.com/docs.facephi-pt-br/sdks/backend-sdk/backend1n/technical_documentation/api_reference/management/metrics-prometheus.md).

# /metrics/prometheus

Returns the metrics in Prometheus exposition format (`text/plain; version=0.0.4; charset=utf-8`), for a Prometheus with Prometheus Adapter or for the Kubernetes Custom/External Metrics API when you want to autoscale on `facephi_*` metrics. It contains only the traffic, saturation and latency counters collected by the REST manager. The `service`, `state`, `usage`, `quality` and `alerts` blocks are only available in the JSON version of the endpoint, `GET /metrics`.

```json
{"openapi":"3.0.1","info":{"title":"Backend1n-Service REST API","version":"5.0.0"},"servers":[{"url":"http://127.0.0.1:6982/"}],"security":[],"paths":{"/metrics/prometheus":{"get":{"description":"Returns the metrics in Prometheus exposition format (`text/plain; version=0.0.4; charset=utf-8`), for a Prometheus with Prometheus Adapter or for the Kubernetes Custom/External Metrics API when you want to autoscale on `facephi_*` metrics. It contains only the traffic, saturation and latency counters collected by the REST manager. The `service`, `state`, `usage`, `quality` and `alerts` blocks are only available in the JSON version of the endpoint, `GET /metrics`.\n","tags":["Management"],"responses":{"200":{"description":"Operational metrics in Prometheus text format.","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An error occurred while building the snapshot.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionResult"}}}}}}}},"components":{"schemas":{"ExceptionResult":{"type":"object","description":"An error occurred while calling the backend services.","properties":{"status":{"type":"number"},"error":{"type":"string"},"exception":{"type":"string","description":"Specific description of the reason for the exception (internal service text; it is not part of the contract)."},"timeStamp":{"$ref":"#/components/schemas/TimeStamp"}}},"TimeStamp":{"type":"string","description":"A date/time value (UTC) in \"%Y-%m-%dT%H:%M:%SZ\" format."}}}}
```
